org.apache.ignite.internal.processors.igfs

## Class IgfsListingEntry

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsListingEntry

All Implemented Interfaces:
  Externalizable, Serializable, Binarylizable

    public class IgfsListingEntry
    extends Object
    implements Externalizable, Binarylizable

Directory listing entry.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsListingEntry()` Empty constructor required by `Externalizable`.
`IgfsListingEntry(IgfsEntryInfo fileInfo)` Constructor.
`IgfsListingEntry(IgniteUuid id, boolean dir)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)`
`IgniteUuid` `fileId()`
`int` `hashCode()`
`boolean` `isDirectory()`
`boolean` `isFile()`
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsListingEntry

    public IgfsListingEntry()

Empty constructor required by `Externalizable`.

#### IgfsListingEntry

    public IgfsListingEntry(IgfsEntryInfo fileInfo)

Constructor.

Parameters:
  `fileInfo` - File info to construct listing entry from.

#### IgfsListingEntry

    public IgfsListingEntry(IgniteUuid id,
                            boolean dir)

Constructor.

Parameters:
  `id` - File ID.
  `dir` - Directory marker.

### Method Detail

#### fileId

    public IgniteUuid fileId()

Returns:
  Entry file ID.

#### isFile

    public boolean isFile()

Returns:
  `True` if entry represents file.

#### isDirectory

    public boolean isDirectory()

Returns:
  `True` if entry represents directory.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018